Subject: Re: [bug#54457] [PATCH 9/9] gnu: Add ulogd

From: Maxime Devos <[email-masked]>
Date: Sat, 26 Mar 2022 19:30:21 +0100

fesoj000 schreef op za 26-03-2022 om 13:31 [+0100]:
> After the package definitions the output of guix size follows for every
> definition. ulogd has a size of 85.0 MiB, ulogd+postgresql has a size of 140.4
> MiB, ulogd+mysql has a size of 702.9 MiB.
> 
> According to this data, i would consider postgresql as input for ulogd. But
> mysql increases the size way too much for me. I need to move images around the
> network or upload them to some cloud. Maybe mariadb could be used as a mysql
> replacement, are they still compatible? But mariadb is also large 370 MiB ...

It looks like ulogd2 has a kind of plugin architecture (see
https://git.netfilter.org/ulogd2/tree/output/Makefile.am), so perhaps
the plugins can be put in separate outputs (or separate packages,
whatever's the most convenient)?  That should eliminate the closure
size concerns.

It might be be necessary to introduce some kind of ULOGD_PLUGIN_PATH
though such that it will actually find the libraries it tries to
dlopen, without having to explicitely pass the full
/gnu/store/.../lib/....so.

Greetings,
Maxime.